%global pkgname django-extra-form-fields
%global obs_ver 0.0.1-3

Name:           python-django-extra-form-fields
Version:        0.0.1
Release:        9%{?dist}
Summary:        Additional form fields for Django applications

License:        GPLv3+
URL:            http://pypi.python.org/pypi/django-extra-form-fields/0.0.1
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-django

Provides:               %{pkgname} = %{version}-%{release}
Obsoletes:              %{pkgname} < %{obs_ver}


%description
Additional form fields to use in Django applications:

    NextUrlField - add to forms that need to store url of next page
    get_next_url - utility function to extract next url from the request object
    UserNameField - field to enter user name - allows unique username site-wide
    UserEmailField - allows unique email address site-wide if 
                     EMAIL_UNIQUE setting is True



%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc AUTHORS COPYING LICENSE
%{python_sitelib}/django_extra_form_fields
%{python_sitelib}/django_extra_form_fields-%{version}*



%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 0.0.1-8
- correct %%obs_ver

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.1-4
- corrected license field to GPLv3+

* Mon Apr 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.0.1-3
- package renamed to python-django-extra-form-fields

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 20 2011 Matthias Runge <mrunge@matthias-runge.de> - 0.0.1-1
- initital fedora version
